export default defineNuxtPlugin((nuxtApp) => {
    let currentDomain = '';
    const url = useRequestURL();
    currentDomain = url.origin;
    //console.log("当前运行的域名：" + currentDomain)
    
    //农民网Pre环境
    nuxtApp.provide('webUrl', 'http://apipre1.bjzxtw.org.cn:29501')
    nuxtApp.provide('CwebUrl', currentDomain)
    nuxtApp.provide('BwebUrl', 'http://adminpre.bjzxtw.org.cn')
    nuxtApp.provide('LoginWebUrl', 'http://adminpre.bjzxtw.org.cn/adminapi')
    nuxtApp.provide('userUrl', 'http://localhost:3002')

    //农民网正式环境
    //   nuxtApp.provide('webUrl', 'https://flzxw.bjzxtw.org.cn')
    //   nuxtApp.provide('CwebUrl', 'http://nw.nmwwt.org')
    //   nuxtApp.provide('BwebUrl', 'https://admin.bjzxtw.org.cn')
    //   nuxtApp.provide('LoginWebUrl', 'http://admin.bjzxtw.org.cn/adminapi')
    //   nuxtApp.provide('userUrl', 'http://localhost:3002')

    //Dev环境
    // nuxtApp.provide('webUrl', 'http://apidev.bjzxtw.org.cn')
    // nuxtApp.provide('CwebUrl', 'http://nwdev.bjzxtw.org.cn')
    // nuxtApp.provide('BwebUrl', 'http://admindev.bjzxtw.org.cn')
    // nuxtApp.provide('userUrl', 'http://localhost:3000')
})